Name: licq
Version: 0.81
%define qt_gui qt-gui-0.81
%define auto_reply auto-reply-0.15
%define console console-0.21
%define forwarder forwarder-0.60
%define gtk_gui gtk-licq
Release: 1patrix
Packager: Graham Roff
Distribution: Red Hat Contrib|Net
Summary: An ICQ client for online messaging.
Copyright: GPL
Group: Applications/Communications
URL: http://www.licq.org/
Source: http://www.licq.org/licq-%{version}.tar.gz
Source1: licq.wmconfig
Source2: licq.mini-icon.xpm
#Patch: licq-conf.diff
#Patch1: qt-gui-0.67a.diff
#Requires: qt => 2.1
BuildRoot: /var/tmp/%{name}-%{version}

%description
Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set.  Licq supports all of the major features of ICQ,
including messaging, URLs, chat, file transfer, and white pages information.
Additionally, Licq is very configurable and supports skins and
different icon packs.

%prep
%setup -q -T -b 0
#%patch -p 1
#%patch1
./configure --prefix=/usr
#( cd plugins/%{qt_gui}; ./configure --prefix=/usr )
( cd plugins/%{console}; ./configure --prefix=/usr )
( cd plugins/%{auto_reply}; ./configure --prefix=/usr )
( cd plugins/%{forwarder}; ./configure --prefix=/usr )
( cd plugins/%{gtk_gui}; ./configure --prefix=/usr )

%build
make
#make -C plugins/%{qt_gui}
make -C plugins/%{gtk_gui}

%install
rm -rf $RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/usr" install-strip
#make -C plugins/%{qt_gui} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{gtk_gui} prefix="$RPM_BUILD_ROOT/usr" install-strip
mkdir -p $RPM_BUILD_ROOT/{usr/share/icons/mini,etc/X11/wmconfig}
#cp -a plugins/%{qt_gui}/doc doc/%{qt_gui}
cp -a plugins/%{qt_gui}/README.* doc/%{qt_gui}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/licq
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/licq-mini.xpm
make -C plugins/%{console} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{auto_reply} prefix="$RPM_BUILD_ROOT/usr" install-strip
make -C plugins/%{forwarder} prefix="$RPM_BUILD_ROOT/usr" install-strip
cp -a plugins/%{console}/README doc/README.CONSOLE
cp -a plugins/%{auto_reply}/README doc/README.AUTO-REPLY
cp -a plugins/%{forwarder}/README doc/README.FORWARDER

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "--------------------"
echo "There is important documentation in /usr/doc/licq-%{version}."
echo "In particular, read the HINTS, BUGS, and ***UPGRADE*** files."
echo "It is also recommended that the licq-data package be installed"
echo "in addition to this one."
echo "If you are upgrading from 0.70 or earlier you *must* read"
echo "the UPGRADE file and follow the instructions included therein"
echo "--------------------"


%files 
%defattr (-,root,root)
%doc doc/*
%doc upgrade/*
%doc README*
%config /etc/X11/wmconfig/licq 
%attr(755,root,root) /usr/bin/licq*
/usr/lib/licq
/usr/share/licq
/usr/share/icons/mini/licq-mini.xpm

%changelog
* Wed Mar 22 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.80

* Wed Feb 16 2000 Graham Roff <graham@licq.org>
- Upgrade to 0.76
- Included three new plugins

* Tue Jan 25 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75.3

* Wed Jan 12 2000 Graham Roff <graham@licq.org>
- Upgraded to 0.75

* Fri Nov 12 1999 Graham Roff <graham@licq.org>
- Upgraded to 0.71

* Thu Oct 28 1999 Graham Roff <graham@licq.org>
- fixed requirement to qt 2.0.2

* Mon Oct 25 1999 Graham Roff <graham@licq.org>
- modified for new distribution format
- upgraded to 0.70.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom
- using contrib|net spec now
- changed buildroot to /var/tmp
- rebuilt and put into powertools

* Wed Jun 18 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.70f-1]
- Upgraded to licq-0.70f with licq_qt-gui-0.64.1
- Updated URLs
- Added localization files

* Fri Mar 12 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Fixed Auto Away - Auto N/A problem.

* Tue Mar  9 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Incorporated numerous small changes inspired
by Graham Roff's (Licq author) version of the spec file

* Mon Feb 22 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.60-1]
- Added viewurl-*.sh to /usr/bin/

* Mon Dec 14 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-2]
- Updated the URL

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-1]
- Added SPEC file %defattr directive to enable non-root builds
- Changed SPEC file according to RHCN rules.

* Fri Oct 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 0.44
